@mixin functionMargin($marginSide, $marginBreakpoint, $marginSize) {
    @if $marginSide == '' and $marginBreakpoint == '' and $marginSize != '' {
        margin: returnCalculatedSpacer($marginSize) !important;
    }

    @if $marginSide == '' and $marginBreakpoint != '' and $marginSize != '' {
        @include breakpoint ($marginBreakpoint) {
            margin: returnCalculatedSpacer($marginSize) !important;
        }
    }

    @if $marginSide != '' and $marginBreakpoint == '' and $marginSize != '' {
        margin: returnCalculatedSpacerWithSides($marginSide, $marginSize) !important;
    }

    @if $marginSide != '' and $marginBreakpoint != '' and $marginSize != '' {
        @include breakpoint ($marginBreakpoint) {
            margin: returnCalculatedSpacerWithSides($marginSide, $marginSize) !important;
        }
    }
}

@mixin functionMarginYX($marginBreakpoint, $marginSizeY, $marginSizeX) {
    @if $marginBreakpoint != '' and $marginSizeY != '' and $marginSizeX != '' {
        @include breakpoint ($marginBreakpoint) {
            margin: returnCalculatedSpacer($marginSizeY)  returnCalculatedSpacer($marginSizeX) !important;
        }
    }

    @if $marginBreakpoint == '' and $marginSizeY != '' and $marginSizeX != '' {
        margin: returnCalculatedSpacer($marginSizeY)  returnCalculatedSpacer($marginSizeX) !important;
    }
}

@mixin functionPadding($paddingSide, $paddingBreakpoint, $paddingSize) {
    @if $paddingSide == '' and $paddingBreakpoint == '' and $paddingSize != '' {
        padding: returnCalculatedSpacer($paddingSize) !important;
    }

    @if $paddingSide == '' and $paddingBreakpoint != '' and $paddingSize != '' {
        @include breakpoint ($paddingBreakpoint) {
            padding: returnCalculatedSpacer($paddingSize) !important;
        }
    }

    @if $paddingSide != '' and $paddingBreakpoint == '' and $paddingSize != '' {
        padding: returnCalculatedSpacerWithSides($paddingSide, $paddingSize) !important;
    }

    @if $paddingSide != '' and $paddingBreakpoint != '' and $paddingSize != '' {
        @include breakpoint ($paddingBreakpoint) {
            padding: returnCalculatedSpacerWithSides($paddingSide, $paddingSize) !important;
        }
    }
}

@mixin functionPaddingYX($paddingBreakpoint, $paddingSizeY, $paddingSizeX) {
    @if $paddingBreakpoint != '' and $paddingSizeY != '' and $paddingSizeX != '' {
        @include breakpoint ($paddingBreakpoint) {
            padding: returnCalculatedSpacer($paddingSizeY)  returnCalculatedSpacer($paddingSizeX) !important;
        }
    }

    @if $paddingBreakpoint == '' and $paddingSizeY != '' and $paddingSizeX != '' {
        padding: returnCalculatedSpacer($paddingSizeY)  returnCalculatedSpacer($paddingSizeX) !important;
    }
}